# Storage

## appmixer.ui.Storage

![](/files/-L_Iy1tct97oN682yeM9)

The appmixer.ui.Storage is a UI widget that displays the user's data stores.

| Method                        | Description                                                                                                                                                                                                                                                                                          |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `appmixer.ui.Storage(config)` | Constructor function that accepts `config` object. The `config` object must contain at least the `el` property that points to a container DOM element where the Storage widget will be rendered.                                                                                                     |
| `open()`                      | Render the Storage inside its container.                                                                                                                                                                                                                                                             |
| `close()`                     | Close the Storage widget.                                                                                                                                                                                                                                                                            |
| `state(name, value)`          | Change the state of the UI. Currently, only `"loader"` and `"error"` states are supported. For example, in order to show a loader in the flow manager UI, just call `state("loader", true)`. If you want to display an error in the flow manager UI, call `state("error", "Something went wrong.")`. |
| `reload()`                    | Reload the Storage. Calling this can be useful when stores have been added or removed, so the changes are reflected in the UI.                                                                                                                                                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4.1/appmixer-sdk/api-reference/storage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
